Skip to main content
PUT
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
phone
/
message-types
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Guardian.Factors;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Factors.Phone.SetMessageTypesAsync(
            new SetGuardianFactorPhoneMessageTypesRequestContent {
                MessageTypes = new List<GuardianFactorPhoneFactorMessageTypeEnum>(){
                    GuardianFactorPhoneFactorMessageTypeEnum.Sms,
                }

            }
        );
    }

}
{
  "message_types": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

message_types
enum<string>[]
required

The list of phone factors to enable on the tenant. Can include sms and voice.

Available options:
sms,
voice

Response

Returns selected SMS provider configuration

message_types
enum<string>[]

The list of phone factors to enable on the tenant. Can include sms and voice.

Available options:
sms,
voice